#!/bin/sh 
# Copyright (C) 2017 evenS

. /evenS/tools.sh

awk '{print $0}' $evenS_config_path/white_domain_list.conf |
(
    while read white_domain_host; do                                                                                                       
        [ -z "$white_domain_host" ] && continue
        if [ -z `echo $white_domain_host | grep -E -o "(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)" ` ]; then
            nslookup $white_domain_host  > /dev/null 2>&1 &
        fi
    done
)
awk '{print $0}' $evenS_config_path/black_domain_list.conf |
(
    while read black_domain_host; do                                                                                                       
        [ -z "$black_domain_host" ] && continue
        if [ -z `echo $black_domain_host | grep -E -o "(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)" ` ]; then
            nslookup $black_domain_host  > /dev/null 2>&1 &
        fi
    done
)
(                                                                     
    nslookup google.com  &
    nslookup www.google.com  &
    nslookup www.google.co.jp  &
    nslookup www.google.com.hk  &
    nslookup www.google.com.sg  &

    # nslookup twitter.com  &
    # nslookup t.co  &

    nslookup www.facebook.com  &

    nslookup www.youtube.com  &

    nslookup www.instagram.com  &

    nslookup www.blogspot.com  &

    nslookup www.wordpress.com  &

    nslookup www.github.com  &
) > /dev/null 2>&1